Package es.imim.DISGENET.internal.automation

# Interface NetworkAutomation

All Known Implementing Classes:
  `NetworkAutomationImpl`

@Path("/disgenet/v8") public interface NetworkAutomation

## Method Summary

Modifier and Type
Method
Description
`OperationResult`
`createGeneDiseaseNetwork(GeneDiseaseParams params)`
`OperationResult`
`createVariantDiseaseNetwork(VariantDiseaseParams params)`
`OperationResult`
`getAppInfo()`
`OperationResult`
`performGeneDiseaseEnrichment(GeneEnrichmentParams params)`
`OperationResult`
`performVariantDiseaseEnrichment(VariantEnrichmentParams params)`

## Method Details

### getAppInfo

@GET @Produces("application/json") @Path("version") OperationResult getAppInfo()

### createGeneDiseaseNetwork

@POST @Produces("application/json") @Consumes("application/json") @Path("gene-disease-net") OperationResult createGeneDiseaseNetwork(GeneDiseaseParams params)

### createVariantDiseaseNetwork

@POST @Produces("application/json") @Consumes("application/json") @Path("variant-disease-net") OperationResult createVariantDiseaseNetwork(VariantDiseaseParams params)

### performGeneDiseaseEnrichment

@POST @Produces("application/json") @Consumes("application/json") @Path("gene-enrichment") OperationResult performGeneDiseaseEnrichment(GeneEnrichmentParams params)

### performVariantDiseaseEnrichment

@POST @Produces("application/json") @Consumes("application/json") @Path("variant-enrichment") OperationResult performVariantDiseaseEnrichment(VariantEnrichmentParams params)